## tcpbench 1.01

=== Makefile ===
PROG=		tcpbench
WARNINGS=	yes
LDADD=		-levent -lkvm
DPADD=		${LIBEVENT} ${LIBKVM}
BINDIR?=	/usr/local/bin
MANDIR?=        /usr/local/man/man

VERSION=	1.01
CLEANFILES=	tcpbench-${VERSION}.tar.gz

.PHONY: dist tcpbench-${VERSION}.tar.gz
dist: tcpbench-${VERSION}.tar.gz
	@echo ${.OBJDIR}/tcpbench-${VERSION}.tar.gz

tcpbench-${VERSION}.tar.gz:
	rm -rf tcpbench-${VERSION}
	mkdir tcpbench-${VERSION}
.for f in README LICENSE Changes Makefile GNUmakefile tcpbench.c tcpbench.1
	cp ${.CURDIR}/$f tcpbench-${VERSION}/
.endfor
	tar -czvf $@ tcpbench-${VERSION}
	rm -rf tcpbench-${VERSION}

CLEANFILES+=	out

.PHONY: test test-localhost test-localhost6
test: test-localhost test-localhost6

test-localhost:
	@echo '\n==== $@ ===='
	./tcpbench -s -4 >out & \
	    trap "kill -TERM $$!" EXIT; \
	    sleep 1; \
	    ./tcpbench -t2 127.0.0.1 || exit 1; \
	    true
	grep '^Conn:' out

test-localhost6:
	@echo '\n==== $@ ===='
	./tcpbench -s -6 >out & \
	    trap "kill -TERM $$!" EXIT; \
	    sleep 1; \
	    ./tcpbench -t2 ::1 || exit 1; \
	    true
	grep '^Conn:' out

.include <bsd.prog.mk>

=== debian/changelog ===
tcpbench (1.01-1) unstable; urgency=medium

  * Initial Release. Closes: #1016918 (ITP).

 -- Tobias Heider <me@tobhe.de>  Wed, 10 Aug 2022 16:21:59 +0200

=== debian/control ===
Source: tcpbench
Section: misc
Priority: optional
Maintainer: Tobias Heider <me@tobhe.de>
Build-Depends: cmake, debhelper-compat (= 13), libevent-dev, libbsd-dev
Standards-Version: 4.6.1
Homepage: https://github.com/bluhm/tcpbench-portable
Vcs-Browser: https://salsa.debian.org/debian/tcpbench
Vcs-Git: https://salsa.debian.org/debian/tcpbench.git -b debian/unstable
Rules-Requires-Root: no

Package: tcpbench
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TCP/UDP benchmarking and measurement tool
 tcpbench is a small tool that performs throughput benchmarking and
 concurrent sampling of kernel network variables.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tcpbench-$1\.tar\.gz/ \
  https://github.com/bluhm/tcpbench-portable/releases .*\/v?(\d\S*)\.tar\.gz

## tcpbench 2.00

=== debian/changelog ===
tcpbench (2.00-1) unstable; urgency=medium

  * New upstream release 2.00

 -- Tobias Heider <me@tobhe.de>  Mon, 22 May 2023 17:27:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tobias Heider <me@tobhe.de>
 Build-Depends: cmake, debhelper-compat (= 13), libevent-dev, libbsd-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/bluhm/tcpbench-portable
 Vcs-Browser: https://salsa.debian.org/debian/tcpbench
 Vcs-Git: https://salsa.debian.org/debian/tcpbench.git -b debian/unstable

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/bluhm/tcpbench-portable/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## tcpbench 2.01

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,16 @@
 PROG=		tcpbench
 WARNINGS=	yes
-LDADD=		-levent -lkvm
-DPADD=		${LIBEVENT} ${LIBKVM}
+LDADD=		-lm -levent
+DPADD=		${LIBM} ${LIBEVENT}
 BINDIR?=	/usr/local/bin
-MANDIR?=        /usr/local/man/man
+MANDIR?=	/usr/local/man/man
 
-VERSION=	1.01
-CLEANFILES=	tcpbench-${VERSION}.tar.gz
+VERSION=	2.01
+CLEANFILES=	tcpbench-${VERSION}.tar.gz*
 
 .PHONY: dist tcpbench-${VERSION}.tar.gz
 dist: tcpbench-${VERSION}.tar.gz
+	gpg --armor --detach-sign tcpbench-${VERSION}.tar.gz
 	@echo ${.OBJDIR}/tcpbench-${VERSION}.tar.gz
 
 tcpbench-${VERSION}.tar.gz:

=== debian/changelog ===
tcpbench (2.01-1) unstable; urgency=medium

  * New upstream release 2.01.
  * Enable upstream tarball signature verification
  * Update copyright

 -- Tobias Heider <me@tobhe.de>  Mon, 12 Jun 2023 18:05:22 +0200

## tcpbench 2.02

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 BINDIR?=	/usr/local/bin
 MANDIR?=	/usr/local/man/man
 
-VERSION=	2.01
+VERSION=	2.02
 CLEANFILES=	tcpbench-${VERSION}.tar.gz*
 
 .PHONY: dist tcpbench-${VERSION}.tar.gz

=== debian/changelog ===
tcpbench (2.02-2) unstable; urgency=medium

  * New upstream release 2.02.
  * Drop unneeded pkgconf patch. This was merged into upstream.

 -- Tobias Heider <me@tobhe.de>  Tue, 26 Mar 2024 16:20:59 +0100

tcpbench (2.01-2) unstable; urgency=medium

  * Use pkgconf to properly include libbsd (Closes: #1066558)

 -- Tobias Heider <me@tobhe.de>  Thu, 21 Mar 2024 02:09:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Tobias Heider <me@tobhe.de>
-Build-Depends: cmake, debhelper-compat (= 13), libevent-dev, libbsd-dev
+Build-Depends: cmake, debhelper-compat (= 13), libevent-dev, libbsd-dev, pkgconf
 Standards-Version: 4.6.2
 Homepage: https://github.com/bluhm/tcpbench-portable
 Vcs-Browser: https://salsa.debian.org/debian/tcpbench

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	echo "skipping test"

override_dh_auto_install:
	$(MAKE) \
	BINDIR=$$(pwd)/debian/tcpbench/usr/bin \
	MANDIR=$$(pwd)/debian/tcpbench/usr/share/man/man \
	install

=== debian/watch ===
version=4
opts="searchmode=plain,pgpmode=auto" \
 https://api.github.com/repos/bluhm/tcpbench-portable/releases?per_page=50 \
 https://github.com/bluhm/tcpbench-portable/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
